#
# spec file for package android-file-transfer-linux
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           android-file-transfer-linux
Summary:        Android file fransfer for Linux
Version:        4.3.0~git.20240730T195303.cf7036c7f7df
Release:        1.4
URL:            https://github.com/whoozle/android-file-transfer-linux
Source0:        %{name}-%{version}.tar.gz
License:        LGPL-2.1-only
BuildRequires:  cmake
BuildRequires:  hicolor-icon-theme
BuildRequires:  readline-devel
BuildRequires:  update-desktop-files
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  cmake(Qt5NetworkAuth)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(fuse)
BuildRequires:  pkgconfig(libcrypto)

%description
Android File Transfer for Linux — a MTP client with minimalist UI

%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install
rm %{buildroot}%{_libdir}/libmtp-ng-static.a

%files
%doc FAQ.md
%license LICENSE
%{_bindir}/aft-mtp-cli
%{_bindir}/aft-mtp-mount
%{_bindir}/android-file-transfer
%{_datadir}/metainfo/android-file-transfer.appdata.xml
%{_datadir}/applications/android-file-transfer.desktop
%{_datadir}/icons/hicolor/*/apps/android-file-transfer.png

%changelog
* Wed Sep 18 2024 llyyr@yukari.in
- fix-missing-include.patch: remove patch, fixed upstream
- Update to version 4.3.0~git.20240730T195303.cf7036c7f7df:
  * add get-id command to cli
  * check that GetDevicePropValue is supported before calling it
  * drop old ${VERSION} variable, use base version from readme and annotate with git if it's possible.
  * update checkout action to v4
  * use execute_process instead of exec_program
  * update pybind cmake files
  * fix macOS spelling
  * remove long version string
  * remove CFBundleGetInfoString
  * fix GH actions
  * fix empty version used for plist generation
  * brew cask install -> brew install --cask
  * add SetSize and set both st_size and st_blocks
  * Fix non-empty directory removal, return ENOTEMPTY
  * bump version to 4.4
  * check ref_type and build release artefacts
  * bump ubuntu version to 20.04
  * do not proceed if -h/--help passed on the command line
  * provide uid/gid for stat structure
  * fix vendor/product filtering
  * bump minimal cmake version to 3.5
  * fix no MPT device found message box
  * do not compile python wrapper for macosx
  * add help about -D
  * rework option parser a bit
  * rename fuse_ll to fuse
  * Fix build with GCC 13 (#330)
* Fri Mar 31 2023 Bjørn Lie <bjorn.lie@gmail.com>
- Add fix-missing-include.patch: Fix missing include exposed by gcc
  13.
- Switch service to explicit git commit instead of master, and
  switch to obs_scm and manual run, tar_scm and disabledrun
  are deprecated.
* Mon Mar 13 2023 llyyr <llyyr.public@gmail.com>
- Initial package at 4.3.0~git.20221105T214638.9967dec
